Lintian::Processable::Installable(3)

NAME
Lintian::Processable::Installable -- An installation package Lintian can process

SYNOPSIS
 use Lintian::Processable::Installable;

 my $processable = Lintian::Processable::Installable->new;
 $processable->init_from_file('path');

DESCRIPTION
This class represents a 'deb' or 'udeb' file that Lintian can process. Objects of this kind are often part of a Lintian::Group, which represents all the files in a changes or buildinfo file.

INSTANCE METHODS

init_from_file (PATH)
    Initializes a new object from PATH.

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)

Lintian::Processable